xcb_dri2_authenticate(3)

NAME
xcb_dri2_authenticate -

SYNOPSIS
#include <xcb/dri2.h>

  Request function

xcb_dri2_authenticate_cookie_t xcb_dri2_authenticate(xcb_connection_t *conn, xcb_window_t window, uint32_t magic);

  Reply datastructure

typedef struct xcb_dri2_authenticate_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t authenticated;
} xcb_dri2_authenticate_reply_t;

  Reply function

xcb_dri2_authenticate_reply_t *xcb_dri2_authenticate_reply(xcb_connection_t *conn, xcb_dri2_authenticate_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

magic
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_DRI2_AUTHENTICATE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

authenticated
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_dri2_authenticate_cookie_t. Errors have to be handled when calling the reply function xcb_dri2_authenticate_reply. If you want to handle errors in the event loop instead, use xcb_dri2_authenticate_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from dri2.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.